%define	name	adesklets
%define	version	0.4.11
%define	release	%mkrel 1

Summary:        Simple desklets for Unix
Name:           %name
Version:        %version
Release:        %release
License:        GPL
URL:            http://adesklets.sourceforge.net/
Source0:        %{name}-%{version}.tar.bz2
Group:          Graphical desktop/Other
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  imlib2-devel python-devel

%description
adesklets is an interactive Imlib2 console for the X Window system. It provides
to scripted languages a clean and simple way to write great looking, mildly
interactive desktop integrated graphic applets (aka "desklets").

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_infodir}
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info %{_infodir}/%{name}*

%preun
%_remove_install_info %{_infodir}/%{name}*

%files
%defattr(-,root,root)
%doc README ChangeLog NEWS INSTALL COPYING AUTHORS 
%{_bindir}/*
%{_infodir}/*
%{_libdir}/python*/site-packages/*
%{_datadir}/adesklets
%{_mandir}/*/*

%changelog
* Fri Sep 02 2005 Pascal Terjan <pterjan@mandriva.org> 0.4.11-1mdk
- 0.4.11

* Sun Aug 14 2005 Pascal Terjan <pterjan@mandriva.org> 0.4.10-1mdk
- First Mandriva package
